FUNCTION::SPRINT_USY(3stap)

NAME
function::sprint_usyms - Return stack for user addresses from string

SYNOPSIS

    sprint_usyms(callers:string)

ARGUMENTS

callers
    String with list of hexadecimal (user) addresses

DESCRIPTION

Perform a symbolic lookup of the addresses in the given string, which are assumed to be the result of a prior calls to ustack, ucallers, and similar functions.

Returns a simple backtrace from the given hex string. One line per address. Includes the symbol name (or hex address if symbol couldn't be resolved) and module name (if found), as obtained from usymdata. Includes the offset from the start of the function if found, otherwise the offset will be added to the module (if found, between brackets). Returns the backtrace as string (each line terminated by a newline character). Note that the returned stack will be truncated to MAXSTRINGLEN, to print fuller and richer stacks use print_usyms.

SEE ALSO
tapset::ucontext-symbols(3stap)